Package com.databricks.jdbc.model.client.sqlexec

## Class ExecuteStatementRequestWithSession

- java.lang.Object
- - com.databricks.jdbc.model.client.sqlexec.ExecuteStatementRequest
  - - com.databricks.jdbc.model.client.sqlexec.ExecuteStatementRequestWithSession

    public class ExecuteStatementRequestWithSession
    extends ExecuteStatementRequest

### Constructor Summary

Constructors
`ExecuteStatementRequestWithSession​(String sessionId)`

### Method Summary

### Methods inherited from class com.databricks.jdbc.model.client.sqlexec.ExecuteStatementRequest

`equals, getCompressionType, getDisposition, getFormat, getOnWaitTimeout, getParameters, getRowLimit, getSessionId, getStatement, getWaitTimeout, getWarehouseId, hashCode, setCompressionType, setDisposition, setFormat, setOnWaitTimeout, setParameters, setRowLimit, setSessionId, setStatement, setWaitTimeout, setWarehouseId, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecuteStatementRequestWithSession

    public ExecuteStatementRequestWithSession​(String sessionId)